aboutsummaryrefslogtreecommitdiffhomepage
path: root/csharp/buildall.sh
diff options
context:
space:
mode:
Diffstat (limited to 'csharp/buildall.sh')
-rwxr-xr-xcsharp/buildall.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/csharp/buildall.sh b/csharp/buildall.sh
new file mode 100755
index 00000000..45af705f
--- /dev/null
+++ b/csharp/buildall.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+# Use mono to build solution and run all tests.
+
+# Adjust these to reflect the location of nunit-console in your system.
+NUNIT_CONSOLE=nunit-console
+
+# The rest you can leave intact
+CONFIG=Release
+SRC=$(dirname $0)/src
+
+set -ex
+
+echo Building the solution.
+xbuild /p:Configuration=$CONFIG $SRC/Google.Protobuf.sln
+
+echo Running tests.
+$NUNIT_CONSOLE $SRC/Google.Protobuf.Test/bin/$CONFIG/Google.Protobuf.Test.dll